# openttd.h File Reference

Some generic types. More...

Go to the source code of this file.

## Enumerations

enum | GameMode { GM_MENU, GM_NORMAL, GM_EDITOR }
enum | SwitchMode { SM_NONE, SM_NEWGAME, SM_RESTARTGAME, SM_EDITOR, SM_LOAD, SM_MENU, SM_SAVE, SM_GENRANDLAND, SM_LOAD_SCENARIO, SM_START_SCENARIO, SM_START_HEIGHTMAP, SM_LOAD_HEIGHTMAP }
enum | { DO_SHOW_TOWN_NAMES = 0, DO_SHOW_STATION_NAMES = 1, DO_SHOW_SIGNS = 2, DO_FULL_ANIMATION = 3, DO_FULL_DETAIL = 5, DO_WAYPOINTS = 6 }

## Variables

GameMode | _game_mode
SwitchMode | _switch_mode
| The next mainloop command.
bool | _exit_game
int8 | _pause_game

## Detailed Description

Some generic types.

Definition in file openttd.h.